import "../../chunk-ZBZ2DYCH.js";
import "../../chunk-6NLXLMPR.js";
import "../../chunk-BSPDIY2S.js";
import "../../chunk-2OCXUX2F.js";
import "../../chunk-HIX6EHLQ.js";
import "../../chunk-QY5DHPIN.js";
import "../../chunk-UMUHNSGZ.js";
import "../../chunk-WQPRL26Y.js";
import "../../chunk-HOPWS6D4.js";
import "../../chunk-W64O3PDI.js";
import "../../chunk-44XNTK3T.js";
import "../../chunk-6JNMJDNF.js";
import {
  CryptoEncoder,
  JsonEncoder
} from "../../chunk-2AXVHLEB.js";
import "../../chunk-KDICZUFL.js";
import "../../chunk-SW4YMCQK.js";
import "../../chunk-D4VMNCA2.js";
import "../../chunk-CAGNHRBK.js";
import "../../chunk-4KRISKYA.js";
import "../../chunk-ZG6VDVZD.js";
import "../../chunk-PLBFBDKH.js";
import "../../chunk-ZDZ4EQHN.js";
import "../../chunk-PZP2B3FC.js";
import "../../chunk-2H4XRKWS.js";
import "../../chunk-NSJKG6AJ.js";
import "../../chunk-PRHMI3L4.js";
import "../../chunk-XBBCTS7U.js";
import "../../chunk-2OUSR2BE.js";
import "../../chunk-IJSLJFYU.js";
import "../../chunk-2HWPZ6ZE.js";
import "../../chunk-73CVRDI7.js";
import "../../chunk-OP4KFE7G.js";
import "../../chunk-DGP32WEQ.js";
import "../../chunk-EDNCPFSF.js";
import "../../chunk-HVOLR365.js";
import "../../chunk-GBF7F7TQ.js";
import "../../chunk-D3JF6HTL.js";
import "../../chunk-ZCQO2V4G.js";
import "../../chunk-IL77OGRC.js";
import "../../chunk-M7ARSJSN.js";
import "../../chunk-MWUFUBY5.js";
import "../../chunk-GKKLBSFA.js";
import "../../chunk-RNL46FQ3.js";
import "../../chunk-NKO3DYD7.js";
import "../../chunk-KKN5DQUJ.js";
import "../../chunk-X56GIAWQ.js";
import "../../chunk-FLFB2K34.js";
import "../../chunk-264HKVNG.js";
import "../../chunk-XOAKJFNZ.js";
import "../../chunk-A7SUGWC3.js";
import "../../chunk-MFSRB7EH.js";
import "../../chunk-WJUQ3VXF.js";
import "../../chunk-FL5CT6MC.js";
import "../../chunk-F7LYIQZT.js";
import "../../chunk-EMZ2JTH2.js";
import "../../chunk-TSCDX4AS.js";
import "../../chunk-QFRDJM3G.js";
import "../../chunk-S2L2URLT.js";
import "../../chunk-SQYI5DA5.js";
import "../../chunk-EW6FHLFK.js";
import "../../chunk-UULDCB6Y.js";
import "../../chunk-2VA3UGW7.js";
import "../../chunk-5OVSRAPG.js";
import "../../chunk-6ZMOQEGY.js";
import "../../chunk-MKDZDCG7.js";
import "../../chunk-OPA3P4S3.js";
import "../../chunk-7QYVSWCZ.js";
import "../../chunk-OC6HNIEN.js";
import "../../chunk-BORRWM4T.js";
import "../../chunk-HST4VI64.js";
import "../../chunk-734RUVRO.js";
import "../../chunk-3K65A2PU.js";
import "../../chunk-L324TYGN.js";
import "../../chunk-K7Z2KDW3.js";
import "../../chunk-GY34N3KU.js";
import "../../chunk-QUKKMPRF.js";
import "../../chunk-GAB5OQ4U.js";
import "../../chunk-QLW2QJ6C.js";
import "../../chunk-LUGJYROQ.js";
import "../../chunk-4P5GCQLI.js";
import {
  deriveKeyPbkdf2,
  randomUint8Array
} from "../../chunk-MFUX7YH7.js";
import "../../chunk-MTV32UFZ.js";
import "../../chunk-KOCQIU7R.js";
import "../../chunk-PN34O4SN.js";
import "../../chunk-I45WP5PM.js";
import "../../chunk-NNCJ3QL5.js";
import "../../chunk-CV2N52ZM.js";
import "../../chunk-JAGWOLOG.js";
import "../../chunk-YX6CL4KH.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-MSASB4XB.js";
import "../../chunk-UOAPXGA4.js";
import "../../chunk-EAYWSLQT.js";
import "../../chunk-I7BWSAN6.js";

// src/common/msg/encoder.spec.ts
describe("encoder", () => {
  it("should encode json", async () => {
    const sample = {
      name: "Hello \u2192 w\xF6rld \u{1F468}\u200D\u{1F469}\u200D\u{1F467}\u200D\u{1F466}",
      list: [1, false, "test"],
      num: 1
    };
    const encoder = new JsonEncoder();
    const enc = await encoder.encode(sample);
    const back = await encoder.decode(enc);
    expect(back).toEqual(sample);
  });
  it("should encode crypto", async () => {
    const sample = {
      name: "Hello \u2192 w\xF6rld \u{1F468}\u200D\u{1F469}\u200D\u{1F467}\u200D\u{1F466}",
      list: [1, false, "test"],
      num: 1
    };
    const key = await deriveKeyPbkdf2(randomUint8Array(20));
    const encoder = new CryptoEncoder(key);
    const enc = await encoder.encode(sample);
    expect(enc).not.toEqual(sample);
    const back = await encoder.decode(enc);
    expect(back).toEqual(sample);
  });
});
//# sourceMappingURL=encoder.spec.js.map